Download it now!
Bug 89790 - DOCX: saving LO version number in correct tag in app.xml
Summary: DOCX: saving LO version number in correct tag in app.xml
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.5.0.0.alpha0+ Master
Hardware: Other All
: low trivial
Assignee: Not Assigned
URL:
Whiteboard: target:5.0.0
Keywords: filter:docx
Depends on:
Blocks:
 
Reported: 2015-03-03 02:50 UTC by Yousuf Philips (jay) (retired)
Modified: 2015-12-17 04:37 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2015-03-03 02:50:47 UTC
When Libreoffice saves to docx, it crams the app name and version number into a single tag in /docProps/app.xml rather than separating them like other apps do.

How it currently is saved

<Application>LibreOffice/4.2.6.2$Linux_x86 LibreOffice_project/185f2ce4dcc34af9bd97dec29e6d42c39557298f</Application>

<Application>LibreOfficeDev/4.5.0.0.alpha0$Linux_x86 LibreOffice_project/4cf69df2f543b023f4ec3d4279c5ac11a2a819d9</Application>

How it should be saved

<Application>LibreOffice</Application>
<AppVersion>4.2.6.2</AppVersion>

<Application>LibreOfficeDev</Application>
<AppVersion>4.5.0.0.alpha0</AppVersion>

or alternatively in architecture and build id are deemed important (though other apps dont do the same)

<Application>LibreOffice</Application>
<AppVersion>4.2.6.2 (Linux_x86 185f2ce4dcc34af9bd97dec29e6d42c39557298f)</AppVersion>

<Application>LibreOfficeDev</Application>
<AppVersion>4.5.0.0.alpha0 (Linux_x86 4cf69df2f543b023f4ec3d4279c5ac11a2a819d9)</AppVersion>

How microsoft office 2010 has it

<Application>Microsoft Office Word</Application>
<AppVersion>14.0000</AppVersion>


Version: 4.5.0.0.alpha0+
Build ID: 4cf69df2f543b023f4ec3d4279c5ac11a2a819d9
TinderBox: Linux-rpm_deb-x86@45-TDF, Branch:master, Time: 2015-02-21_03:46:34
Comment 1 Buovjaga 2015-03-05 13:06:42 UTC
Yep!

Win 7 Pro 64-bit Version: 4.5.0.0.alpha0+
Build ID: 7c0eb12009496a35c927cd5b2520f9c34d50860b
TinderBox: Win-x86@62-TDF, Branch:MASTER, Time: 2015-03-03_10:52:12
Locale: fi_FI
Comment 2 Radu 2015-04-04 09:51:18 UTC
Code pointers:
OUString DocInfoHelper::GetGeneratorString()  from unotools/source/config/docinfohelper.cxx  creates the string from <Application>
and it's called in oox/source/core/xmlfilterbase.cxx at
writeElement( pAppProps, XML_Application,           utl::DocInfoHelper::GetGeneratorString() );
    699 #ifdef OOXTODO
    700     writeElement( pAppProps, XML_AppVersion,            "app version" );
Comment 3 Commit Notification 2015-05-01 22:02:54 UTC
Radu Ioan committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=480ca7434a330b2678f9ef287cffd6d9cf27bed5

tdf#89790 -  DOCX: saving LO version number in correct tag in app.xml

It will be available in 5.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 Yousuf Philips (jay) (retired) 2015-05-02 09:12:41 UTC
Thanks Radu for pushing the patch. Will test it out once a new daily build comes out.
Comment 5 Luke 2015-05-04 10:19:40 UTC
I think this may be corrupting MSO 2013 files. Bug 91064 points to this commit.
Comment 6 Commit Notification 2015-05-15 18:16:39 UTC
Joren De Cuyper committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=1e49e40c3694cd5750b65fc726b9684ae4185d4f

tdf#91064: Revert "tdf#89790 DOCX: saving LO version number in app.xml"

It will be available in 5.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Robinson Tryon (qubit) 2015-12-17 04:37:55 UTC
Migrating Whiteboard tags to Keywords: (filter:docx)
[NinjaEdit]